MODULE DfRandom;

  IMPORT Kernel;

  VAR
    seed*: INTEGER;

  PROCEDURE Get* (): INTEGER;
    CONST a = 16807; z = 2147483647; q = z DIV a; r = z MOD a;
    VAR gamma: INTEGER;
  BEGIN
    gamma := a * (seed MOD q) - r * (seed DIV q);
    IF gamma > 0 THEN seed := gamma
    ELSE seed := gamma + z
    END;
    RETURN SHORT(ENTIER(seed * (1.0 / z) * 255))
  END Get;

BEGIN
  seed := SHORT(Kernel.Time())
END DfRandom.
