MODULE DswSDL;

  IMPORT Kernel;

  CONST
    (* init flags *)
    timer* = 0; audio* = 4; video* = 5; joystick* = 9; haptic* = 12; gamecontroller* = 13;
    events* = 14; noparachute* = 20;
    everything* = {timer, audio, video, events, joystick, haptic, gamecontroller};

    (* window flags *)
    fullscreen* = 0; opengl* = 1; shown* = 2; hidden* = 3; borderless* = 4; resizable* = 5;
    minimized* = 6; maximized* = 7; inputGrabbed* = 8; inputFocus* = 9; mouseFocus* = 10;
    foreign* = 11; desktop* = 12; allowHighDpi* = 13; mouseCapture* = 14; alwaysOnTop* = 15;
    skipTaskBar* = 16; utility* = 17; tooltip* = 18; popupMenu* = 19; vulkan* = 28;

    (* window pos *)
    undefined* = 1FFF0000H; centered* = 2FFF0000H;

    (* swap interval *)
    novsync* = 0; vsync* = 1; adaptive* = -1;

    (* key scancode *)
    Unknown* = 0;
    A* = 4; B* = 5; C* = 6; D* = 7; E* = 8; F* = 9; G* = 10; H* = 11; I* = 12; J* = 13;
    K* = 14; L* = 15; M* = 16; N* = 17; O* = 18; P* = 19; Q* = 20; R* = 21; S* = 22;
    T* = 23; U* = 24; V* = 25; W* = 26; X* = 27; Y* = 28; Z* = 29;
    SCANCODE_1* = 30; SCANCODE_2* = 31; SCANCODE_3* = 32; SCANCODE_4* = 33;
    SCANCODE_5* = 34; SCANCODE_6* = 35; SCANCODE_7* = 36; SCANCODE_8* = 37;
    SCANCODE_9* = 38; SCANCODE_0* = 39;
    Return* = 40; Escape* = 41; Backspace* = 42; Tab* = 43; Space* = 44; Minus* = 45;
    Equals* = 46; Leftbracket* = 47; Rightbracket* = 48; Backslash* = 49; Nonushash* = 50;
    Semicolon* = 51; Apostrophe* = 52; Grave* = 53; Comma* = 54; Period* = 55; Slash* = 56;
    Capslock* = 57;
    F1* = 58; F2* = 59; F3* = 60; F4* = 61; F5* = 62; F6* = 63; F7* = 64;
    F8* = 65; F9* = 66; F10* = 67; F11* = 68; F12* = 69;
    Printscreen* = 70; Scrolllock* = 71; Pause* = 72;
    Insert* = 73; Home* = 74; Pageup* = 75; Delete* = 76; End* = 77; Pagedown* = 78;
    Right* = 79; Left* = 80; Down* = 81; Up* = 82;
    Numlockclear* = 83;
    KP_Divide* = 84; KP_Multiply* = 85; KP_Minus* = 86; KP_Plus* = 87; KP_Enter* = 88;
    KP_1* = 89; KP_2* = 90; KP_3* = 91; KP_4* = 92; KP_5* = 93; KP_6* = 94; KP_7* = 95;
    KP_8* = 96; KP_9* = 97; KP_0* = 98; KP_Period* = 99;
    Nonusbackslash* = 100; Application* = 101; Power* = 102;
    KP_Equals* = 103;
    F13* = 104; F14* = 105; F15* = 106; F16* = 107; F17* = 108; F18* = 109; F19* = 110;
    F20* = 111; F21* = 112; F22* = 113; F23* = 114; F24* = 115;
    Execute* = 116; Help* = 117; Menu* = 118; Select* = 119; Stop* = 120; Again* = 121;
    Undo* = 122; Cut* = 123; Copy* = 124; Paste* = 125; Find* = 126; Mute* = 127;
    Volumeup* = 128; Volumedown* = 129;
    Lockingcapslock* = 130; Lockingnumlock* = 131; Lockingscrolllock* = 132;
    KP_Comma* = 133; KP_Equalsas400* = 134;
    International1* = 135; International2* = 136; International3* = 137; International4* = 138;
    International5* = 139; International6* = 140; International7* = 141; International8* = 142;
    International9* = 143;
    Lang1* = 144; Lang2* = 145; Lang3* = 146; Lang4* = 147; Lang5* = 148;
    Lang6* = 149; Lang7* = 150; Lang8* = 151; Lang9* = 152;
    Alterase* = 153; Sysreq* = 154; Cancel* = 155; Clear* = 156; Prior* = 157; Return2* = 158;
    Separator* = 159; Out* = 160; Oper* = 161; Clearagain* = 162; Crsel* = 163; Exsel* = 164;
    KP_00* = 176; KP_000* = 177;
    Thousandsseparator* = 178; Decimalseparator* = 179;
    Currencyunit* = 180; Currencysubunit* = 181;
    KP_Leftparen* = 182; KP_Rightparen* = 183; KP_Leftbrace* = 184; KP_Rightbrace* = 185;
    KP_Tab* = 186; KP_Backspace* = 187;
    KP_A* = 188; KP_B* = 189; KP_C* = 190; KP_D* = 191; KP_E* = 192; KP_F* = 193;
    KP_Xor* = 194; KP_Power* = 195; KP_Percent* = 196; KP_Less* = 197; KP_Greater* = 198;
    KP_Ampersand* = 199; KP_Dblampersand* = 200;
    KP_Verticalbar* = 201; KP_Dblverticalbar* = 202;
    KP_Colon* = 203; KP_Hash* = 204; KP_Space* = 205; KP_At* = 206; KP_Exclam* = 207;
    KP_Memstore* = 208; KP_Memrecall* = 209; KP_Memclear* = 210; KP_Memadd* = 211;
    KP_Memsubtract* = 212; KP_Memmultiply* = 213;
    KP_Memdivide* = 214; KP_Plusminus* = 215;
    KP_Clear* = 216; KP_Clearentry* = 217;
    KP_Binary* = 218; KP_Octal* = 219; KP_Decimal* = 220; KP_Hexadecimal* = 221;
    Lctrl* = 224; Lshift* = 225; Lalt* = 226; Lgui* = 227;
    Rctrl* = 228; Rshift* = 229; Ralt* = 230; Rgui* = 231;
    Mode* = 257;
    Audionext* = 258; Audioprev* = 259; Audiostop* = 260; Audioplay* = 261; Audiomute* = 262;
    Mediaselect* = 263; Www* = 264; Mail* = 265; Calculator* = 266; Computer* = 267;
    AC_Search* = 268; AC_Home* = 269; AC_Back* = 270; AC_Forward* = 271; AC_Stop* = 272;
    AC_Refresh* = 273; AC_Bookmarks* = 274;
    Brightnessdown* = 275; Brightnessup* = 276; Displayswitch* = 277;
    Kbdillumtoggle* = 278; Kbdillumdown* = 279; Kbdillumup* = 280;
    Eject* = 281; Sleep* = 282;
    App1* = 283; App2* = 284;
    Audiorewind* = 285; Audiofastforward* = 286;
    NumScancodes* = 512;

    (* key modifiers *)
    ModLshift* = 1; ModRshift* = 2;
    ModLctrl* = 6; ModRctrl* = 7;
    ModLalt* = 8; ModRalt* = 9;
    ModLgui* = 10; ModRgui* = 11;
    ModNum* = 12; ModCaps* = 13;
    ModMode* = 14; ModReserved* = 15;

    (* gl attributes *)
    GL_RED_SIZE* = 0;
    GL_GREEN_SIZE* = 1;
    GL_BLUE_SIZE* = 2;
    GL_ALPHA_SIZE* = 3;
    GL_BUFFER_SIZE* = 4;
    GL_DOUBLEBUFFER* = 5;
    GL_DEPTH_SIZE* = 6;
    GL_STENCIL_SIZE* = 7;
    GL_ACCUM_RED_SIZE* = 8;
    GL_ACCUM_GREEN_SIZE* = 9;
    GL_ACCUM_BLUE_SIZE* = 10;
    GL_ACCUM_ALPHA_SIZE* = 11;
    GL_STEREO* = 12;
    GL_MULTISAMPLEBUFFERS* = 13;
    GL_MULTISAMPLESAMPLES* = 14;
    GL_ACCELERATED_VISUAL* = 15;
    GL_RETAINED_BACKING* = 16;
    GL_CONTEXT_MAJOR_VERSION* = 17;
    GL_CONTEXT_MINOR_VERSION* = 18;
    GL_CONTEXT_EGL* = 19;
    GL_CONTEXT_FLAGS* = 20;
    GL_CONTEXT_PROFILE_MASK* = 21;
    GL_SHARE_WITH_CURRENT_CONTEXT* = 22;
    GL_FRAMEBUFFER_SRGB_CAPABLE* = 23;
    GL_CONTEXT_RELEASE_BEHAVIOR* = 24;
    GL_CONTEXT_RESET_NOTIFICATION* = 25;
    GL_CONTEXT_NO_ERROR* = 26;
    
    (* gl profile mask *)
    GL_CONTEXT_PROFILE_CORE* = 0001H;
    GL_CONTEXT_PROFILE_COMPATIBILITY* = 0002H;
    GL_CONTEXT_PROFILE_ES* = 0004H;
    
    (* gl context flags *)
    GL_CONTEXT_DEBUG_FLAG* = 0001H;
    GL_CONTEXT_FORWARD_COMPATIBLE_FLAG* = 0002H;
    GL_CONTEXT_ROBUST_ACCESS_FLAG* = 0004H;
    GL_CONTEXT_RESET_ISOLATION_FLAG* = 0008H;
    
    (* gl context release flag *)
    GL_CONTEXT_RELEASE_BEHAVIOR_NONE* = 0;
    GL_CONTEXT_RELEASE_BEHAVIOR_FLUSH* = 1;
    
    (* gl context reset notification *)
    GL_CONTEXT_RESET_NO_NOTIFICATION* = 0;
    GL_CONTEXT_RESET_LOSE_CONTEXT* = 1;

    (* pixel formats *)
    (* UNKNOWN* = 0; *)
    INDEX1LSB* = 286261504;
    INDEX1MSB* = 287310080;
    INDEX4LSB* = 303039488;
    INDEX4MSB* = 304088064;
    INDEX8* = 318769153;
    RGB332* = 336660481;
    RGB444* = 353504258;
    RGB555* = 353570562;
    BGR555* = 357764866;
    ARGB4444* = 355602434;
    RGBA4444* = 356651010;
    ABGR4444* = 359796738;
    BGRA4444* = 360845314;
    ARGB1555* = 355667970;
    RGBA5551* = 356782082;
    ABGR1555* = 359862274;
    BGRA5551* = 360976386;
    RGB565* = 353701890;
    BGR565* = 357896194;
    RGB24* = 386930691;
    BGR24* = 390076419;
    RGB888* = 370546692;
    RGBX8888* = 371595268;
    BGR888* = 374740996;
    BGRX8888* = 375789572;
    ARGB8888* = 372645892;
    RGBA8888* = 373694468;
    ABGR8888* = 376840196;
    BGRA8888* = 377888772;
    ARGB2101010* = 372711428;
    YV12* = 842094169;
    IYUV* = 1448433993;
    YUY2* = 844715353;
    UYVY* = 1498831189;
    YVYU* = 1431918169;
    NV12* = 842094158;
    NV21* = 825382478;
    
    (* seek whence *)
    set* = 0; cur* = 1; end* = 2;

    TOUCH_MOUSEID = -1;

    (* mouse buttons *)
    (** note that this values changed to easily work with SET **)
    ButtonLeft* = 0;
    ButtonMiddle* = 1;
    ButtonRight* = 2;
    ButtonX1* = 3;
    ButtonX2* = 4;

(* !!!
SDL_MOUSEWHEEL_NORMAL
SDL_MOUSEWHEEL_FLIPPED
*)

  TYPE  
    Hook* = POINTER TO ABSTRACT RECORD (Kernel.Hook) END;

    Window* = POINTER TO ABSTRACT RECORD END;

    GLContext* = POINTER TO ABSTRACT RECORD END;

    EventHandler* = ABSTRACT RECORD END;

    Event* = ABSTRACT RECORD
      timestamp*: INTEGER;
    END;

    KeyboardEvent* = ABSTRACT RECORD (Event)
      windowID*: INTEGER;
      state*: INTEGER;
      repeat*: INTEGER;
      keysym*: RECORD
        scancode*: INTEGER;
        sym*: INTEGER;
        mod*: SET
      END
    END;

    TextInput* = RECORD (Event)
      windowID*: INTEGER;
      text*: ARRAY 32 OF CHAR;
    END;

    MouseEvent* = ABSTRACT RECORD (Event)
      windowID*: INTEGER;
      which*: INTEGER;
    END;
    
    WindowEvent* = ABSTRACT RECORD (Event)
      windowID*: INTEGER;
      data1*, data2*: INTEGER;
    END;

    Quit* = RECORD (Event) END;
    KeyUp* = RECORD (KeyboardEvent) END;
    KeyDown* = RECORD (KeyboardEvent) END;

    MouseButton* = ABSTRACT RECORD (MouseEvent)
      button*: INTEGER;
      state*: SET;
      clicks*: INTEGER;
      x*: INTEGER;
      y*: INTEGER;
    END;

    MouseButtonUp* = RECORD (MouseButton) END;
    MouseButtonDown* = RECORD (MouseButton) END;

    MouseMotion* = RECORD (MouseEvent)
      state*: SET;
      x*: INTEGER;
      y*: INTEGER;
      xrel*: INTEGER;
      yrel*: INTEGER;
    END;

    MouseWheel* = RECORD (MouseEvent)
      x*: INTEGER;
      y*: INTEGER;
      direction*: INTEGER;
    END;

    WindowShown* = RECORD (WindowEvent) END;
    WindowHidden* = RECORD (WindowEvent) END;
    WindowExposed* = RECORD (WindowEvent) END;
    WindowMoved* = RECORD (WindowEvent) END;
    WindowResized* = RECORD (WindowEvent) END;
    WindowSizeChanged* = RECORD (WindowEvent) END;
    WindowMinimized* = RECORD (WindowEvent) END;
    WindowMaximized* = RECORD (WindowEvent) END;
    WindowRestored* = RECORD (WindowEvent) END;
    WindowEnter* = RECORD (WindowEvent) END;
    WindowLeave* = RECORD (WindowEvent) END;
    WindowFocusGained* = RECORD (WindowEvent) END;
    WindowFocusLost* = RECORD (WindowEvent) END;
    WindowClose* = RECORD (WindowEvent) END;
    WindowTakeFocus* = RECORD (WindowEvent) END;
    WindowHitTest* = RECORD (WindowEvent) END;

    RWops* = POINTER TO ABSTRACT RECORD END;
    
    Surface* = POINTER TO ABSTRACT RECORD END;

  VAR
    hook-: Hook;

  (* EventHandler *)

  PROCEDURE (VAR h: EventHandler) Handle* (VAR ev: Event), NEW, ABSTRACT;

  (* Hook *)

  PROCEDURE (h: Hook) WasInit* (flags: SET): SET, NEW, ABSTRACT;
  PROCEDURE (h0: Hook) CreateWindow* (IN title: ARRAY OF CHAR; x, y, w, h: INTEGER; flags: SET): Window, NEW, ABSTRACT;
  
  PROCEDURE (h: Hook) HandleEvent* (VAR handler: EventHandler): BOOLEAN, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GetMouseState* (OUT x, y: INTEGER): SET, NEW, ABSTRACT;
  PROCEDURE (h: Hook) StartTextInput*, NEW, ABSTRACT;
  PROCEDURE (h: Hook) StopTextInput*, NEW, ABSTRACT;

  PROCEDURE (h: Hook) Delay* (ms: INTEGER), NEW, ABSTRACT;

  PROCEDURE (h: Hook) RWFromUnknown* (rw: RWops): RWops, NEW, ABSTRACT;
  PROCEDURE (h: Hook) LoadBMP* (rw: RWops; freesrc: BOOLEAN): Surface, NEW, ABSTRACT;

  PROCEDURE (h: Hook) GLLoadLibrary* (IN path: ARRAY OF SHORTCHAR): BOOLEAN, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLGetProcAddress* (IN proc: ARRAY OF SHORTCHAR): INTEGER, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLUnloadLibrary*, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLExtensionSupported* (IN extension: ARRAY OF SHORTCHAR): BOOLEAN, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLResetAttributes*, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLSetAttribute* (attr, value: INTEGER): BOOLEAN, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLGetAttribute* (attr: INTEGER; VAR value: INTEGER): BOOLEAN, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLGetCurrentWindow* (): Window, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLGetCurrentContext* (): GLContext, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLSetSwapInterval* (interval: INTEGER): BOOLEAN, NEW, ABSTRACT;
  PROCEDURE (h: Hook) GLGetSwapInterval* (): INTEGER, NEW, ABSTRACT;

  (* Surface *)

  PROCEDURE (s: Surface) GetSize* (VAR w, h: INTEGER), NEW, ABSTRACT;
  PROCEDURE (s: Surface) GetPixel* (x, y: INTEGER): INTEGER, NEW, ABSTRACT;
  PROCEDURE (s: Surface) ConvertSurfaceFormat* (format: INTEGER; flags: SET): Surface, NEW, ABSTRACT;

  (* Window *)

  PROCEDURE (win: Window) GetID* (): INTEGER, NEW, ABSTRACT;
  PROCEDURE (win: Window) SetInputFocus* (): BOOLEAN, NEW, ABSTRACT;
  PROCEDURE (win: Window) Hide*, NEW, ABSTRACT;
  PROCEDURE (win: Window) Show*, NEW, ABSTRACT;
  PROCEDURE (win: Window) GLGetDrawableSize* (OUT w, h: INTEGER), NEW, ABSTRACT;
  PROCEDURE (win: Window) GLCreateContext* (): GLContext, NEW, ABSTRACT;
  PROCEDURE (win: Window) GLMakeCurrent* (gl: GLContext): BOOLEAN, NEW, ABSTRACT;
  PROCEDURE (win: Window) GLSwap*, NEW, ABSTRACT;
  PROCEDURE (win: Window) Destroy*, NEW, ABSTRACT;

  (* GLContext *)

  PROCEDURE (gl: GLContext) Delete*, NEW, ABSTRACT;

  (* RWops *)
  PROCEDURE (rw: RWops) Size* (): INTEGER, NEW, ABSTRACT;
  PROCEDURE (rw: RWops) Seek* (offset, whence: INTEGER): INTEGER, NEW, ABSTRACT;
  PROCEDURE (rw: RWops) Read* (VAR ptr: ARRAY OF BYTE; size, maxnum: INTEGER): INTEGER, NEW, ABSTRACT;
  PROCEDURE (rw: RWops) Write* (IN ptr: ARRAY OF BYTE; size, num: INTEGER): INTEGER, NEW, ABSTRACT;
  PROCEDURE (rw: RWops) Close* (): INTEGER, NEW, ABSTRACT;
  PROCEDURE (rw: RWops) Closed* (): BOOLEAN, NEW, ABSTRACT;

  (* interface *)

  PROCEDURE SetHook* (h: Hook);
  BEGIN
    ASSERT(h # NIL, 20);
    ASSERT(hook = NIL, 21);
    hook := h
  END SetHook;

  PROCEDURE WasInit* (flags: SET): SET;
  BEGIN
    RETURN hook.WasInit(flags)
  END WasInit;

  PROCEDURE CreateWindow* (IN title: ARRAY OF CHAR; x, y, w, h: INTEGER; flags: SET): Window;
  BEGIN
    RETURN hook.CreateWindow(title, x, y, w, h, flags)
  END CreateWindow;

  PROCEDURE Delay* (ms: INTEGER);
  BEGIN
    hook.Delay(ms)
  END Delay;

  PROCEDURE GetMouseState* (OUT x, y: INTEGER): SET;
  BEGIN
    RETURN hook.GetMouseState(x, y)
  END GetMouseState;

  PROCEDURE StartTextInput*;
  BEGIN
    hook.StartTextInput
  END StartTextInput;

  PROCEDURE StopTextInput*;
  BEGIN
    hook.StopTextInput
  END StopTextInput;

  PROCEDURE HandleEvent* (VAR handler: EventHandler): BOOLEAN;
  BEGIN
    RETURN hook.HandleEvent(handler)
  END HandleEvent;
  
  PROCEDURE RWFromUnknown* (rw: RWops): RWops;
  BEGIN
    RETURN hook.RWFromUnknown(rw)
  END RWFromUnknown;
  
  PROCEDURE GLExtensionSupported* (IN extension: ARRAY OF SHORTCHAR): BOOLEAN;
  BEGIN
    RETURN hook.GLExtensionSupported(extension)
  END GLExtensionSupported;
  
  PROCEDURE GLResetAttributes*;
  BEGIN
    hook.GLResetAttributes
  END GLResetAttributes;
  
  PROCEDURE GLSetAttribute* (attr, value: INTEGER): BOOLEAN;
  BEGIN
    RETURN hook.GLSetAttribute(attr, value)
  END GLSetAttribute;
  
  PROCEDURE GLGetAttribute* (attr: INTEGER; VAR value: INTEGER): BOOLEAN;
  BEGIN
    RETURN hook.GLGetAttribute(attr, value)
  END GLGetAttribute;
  
  PROCEDURE GLGetCurrentWindow* (): Window;
  BEGIN
    RETURN hook.GLGetCurrentWindow()
  END GLGetCurrentWindow;
  
  PROCEDURE GLGetCurrentContext* (): GLContext;
  BEGIN
    RETURN hook.GLGetCurrentContext()
  END GLGetCurrentContext;
  
  PROCEDURE GLSetSwapInterval* (interval: INTEGER): BOOLEAN;
  BEGIN
    RETURN hook.GLSetSwapInterval(interval)
  END GLSetSwapInterval;
  
  PROCEDURE GLGetSwapInterval* (): INTEGER;
  BEGIN
    RETURN hook.GLGetSwapInterval()
  END GLGetSwapInterval;

END DswSDL.
